Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadm.editors
Class HttpServerResourceFeeder

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.HttpServerResourceFeeder

public class HttpServerResourceFeeder
extends java.lang.Object
implements EditorFeeder

HttpServerResourceFeeder :

Field Summary
`static java.lang.String` | `RESOURCE_P`

Constructor Summary
`HttpServerResourceFeeder()`

Method Summary
`java.lang.String[]` | `getDefaultItems()` Compute the possible items for a StringArrayEditor.
`protected java.lang.String[]` | `getStringArray(RemoteResourceWrapper rrw, java.util.Properties p)`
`void` | `initialize(RemoteResourceWrapper rrw, java.util.Properties p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOURCE_P

    public static final java.lang.String RESOURCE_P

Constructor Detail

### HttpServerResourceFeeder

    public HttpServerResourceFeeder()

Method Detail

### getDefaultItems

    public java.lang.String[] getDefaultItems()

  Description copied from interface: EditorFeeder
  Compute the possible items for a StringArrayEditor.
  Specified by:
    getDefaultItems in interface EditorFeeder
  Tags copied from interface: EditorFeeder
  Returns:
    The possible items for the selection.

### getStringArray

    protected java.lang.String[] getStringArray(RemoteResourceWrapper rrw,
                                                java.util.Properties p)

### initialize

    public void initialize(RemoteResourceWrapper rrw,
                           java.util.Properties p)

  Specified by:
    initialize in interface EditorFeeder

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD